Summary: Benchmark to test TCP and UDP performance
Name: ttcp
Version: 1.4
Release: 1
Source: ftp://ftp.cdrom.com/pub/unix-c/benchmarks/ttcp.shar
Copyright: distributable
Packager: dledford@redhat.com
Group: Utilities/Benchmarks

%description
Ttcp is a benchmark that times the transmission and reception of data
between two systems.  It can also be used to transfer large amounts of
data between two systems with very low CPU overhead and as fast as
possible. 

%prep
rm -fr ttcp-1.4
mkdir ttcp-1.4
cd ttcp-1.4
sh ${RPM_SOURCE_DIR}/ttcp.shar

%build
cd ttcp-1.4
gcc -O2 -m486 -malign-loops=2 -malign-functions=2 -malign-jumps=2 -funroll-loops -o ttcp ttcp.c

%install
cd ttcp-1.4
install -o root -g root -s -m 0755 ttcp /usr/bin/ttcp
install -o root -g root -m 0644 ttcp.1m /usr/man/man1/ttcp.1

%files
/usr/bin/ttcp
/usr/man/man1/ttcp.1
